#ifndef _IOHACK_H
#define _IOHACK_H

/*
 * Call check_resource() to see if a port or address range is in use,
 * then call alloc_resource() to register your resource requirements.
 * Free resources with free_resource().
 */
 
typedef struct resource_entry_t {
	u_long base, num;
	char *dev;
	struct resource_entry_t *next;
} resource_entry_t;

#define HW_NTYPES 2
typedef enum resource_t { HW_IOPORT, HW_MEMORY } resource_t;

int check_resource(enum resource_t type, resource_entry_t *entry);
int alloc_resource(enum resource_t type, resource_entry_t *entry);
int free_resource(enum resource_t type, resource_entry_t *entry);

#endif	/* _IOHACK_H */
